FROM caddy:2.8.4-builder-alpine AS builder

ARG RELEASE

#
# $> go env GOCACHE     <<-- Golang build cache
# $> go env GOMODCACHE  <<-- Goland module download cache
#
RUN --mount=type=cache,target=/root/.cache/go-build \
    --mount=type=cache,target=/go/pkg/mod \
    xcaddy build \
        --with gitea.djmil.dev/djmil/gitea-pages@$RELEASE 

FROM caddy:2.8.4

COPY --from=builder /usr/bin/caddy /usr/bin/caddy
COPY Caddyfile /etc/caddy/Caddyfile 

EXPOSE 3003/tcp
